Skip to content

Changelog libcmis (0.5.2-1+9.0trisquel1)

2019

libcmis (0.5.2-1+9.0trisquel1) etiona-backports; urgency=medium

   * Backported from Disco

2018

libcmis (0.5.2-1) unstable; urgency=medium

   * New upstream version 0.5.2

libcmis (0.5.2~git20181201-2) unstable; urgency=medium

   * add properly-encode-oauth2-credentials.diff: as name says, from LO/github
     MR #25

libcmis (0.5.2~git20181201-1) unstable; urgency=medium

   * New upstream snapshot 0.5.2~git20181201

2016

libcmis (0.5.1+git20160603-3) unstable; urgency=medium

   * [38d0b77] move Maintainer: to Debian LibreOffice Maintainers
   * [e1f40fe] multiarchify

libcmis (0.5.1+git20160603-2) unstable; urgency=medium

   * improve Description; spell out Enterprise Content Management and
     mention Google Drive/OneDrive/SharePoint (closes: #834933)

libcmis (0.5.1+git20160603-1) unstable; urgency=medium

   * new upstream snapshot (20160603)

libcmis (0.5.1-4) unstable; urgency=medium

   * add complete upstream patch including tests for Google Drive fix.
     re-enable the tests

libcmis (0.5.1-3) unstable; urgency=medium

   * add patch from LibreOffice master to fix Google Drive login
   * temporarily disable the tests given it's known for now they don't
     pass with above patch

libcmis (0.5.1-2) unstable; urgency=medium

   * of course we should keep the cppunit build-dep, just revert the
     version bump...

libcmis (0.5.1-1) unstable; urgency=medium

   * New upstream release
   * remove build-dep bump on cpppunit, gthe transition is over
     (closes: #816642)
   * update Homepage:/Source:
   * add debian/watch

2015

libcmis (0.5.0-4) unstable; urgency=medium

   * add missed build-dependency on docbook-xml; use docbook2x(-man)
     instead of docbook-to-man (closes: #798632)
   * merge package cleanup patch (closes: #798633)
     - Bump the standards version.
     - Remove cruft in the debian directory.
     - Enable parallel builds.
     - Stop building with -O0 on armhf.
     - Really use dpkg-buildflags.

libcmis (0.5.0-3) unstable; urgency=medium

   * libstdc++6 transition: rename libcmis-0.5-5 to libcmis-0.5-5v5.
   * bump libcppunit-dev build-dep
 
   * merge from Ubuntu:
     - Add avoid-use-after-delete.patch to fix test-failure

libcmis (0.5.0-2) unstable; urgency=low

   * update boost.m4 to fix build with gcc-5 (closes: #777942)

2014

libcmis (0.5.0-1) experimental; urgency=medium

   * New upstream release

libcmis (0.4.1-7) unstable; urgency=low

   * use dh-autoreconf (closes: #748863)

libcmis (0.4.1-6) unstable; urgency=low

   * explicitly build-depend on pkg-config. No idea why it worked before...

libcmis (0.4.1-5) unstable; urgency=low

   * upload to unstable

libcmis (0.4.1-4) experimental; urgency=low

   * apply patch from Adam Concrad to fix int/bool confusion that
     leads to the test suite failing on all big-endian architectures.
     (closes: #737807)

2013

libcmis (0.4.1-3) experimental; urgency=low

   * actually use buildflags.mk's CXXFLAGS everywhere, not only on arm,
     and fix logic...

libcmis (0.4.1-2) experimental; urgency=low

   * explicitely mention Cedric Bosdonnat and Cao Cuong Ngo
     in debian/copyright
   * include /usr/share/dpkg/{architecture,buildflags}.mk and
     build with -O0 on arm to hack around API test crash (closes: #731116)

libcmis (0.4.1-1) experimental; urgency=low

   * New upstream release

libcmis (0.3.1-3) unstable; urgency=low

   * build with --disable-werror (closes: #707448)

libcmis (0.3.1-2) unstable; urgency=low

   * upload to unstable

libcmis (0.3.1-1) experimental; urgency=low

   * New upstream release
   * build (and run) unit tests, now that we can disable the "long" tests
   * update description (closes: #666669), Homepage:/Source:

2012

libcmis (0.2.3-1) experimental; urgency=low

   * New upstream release
   * add depends on libcurl4-gnutls-dev, libxml2-dev to libcmis-dev

libcmis (0.2.2-1) experimental; urgency=low

   * New upstream release

2011

libcmis (0.1.0-1) unstable; urgency=low

   * Initial release